Signup Notices#
GET /api/guilds/{guild_id}/signup-notices#
ListSignupNotices
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
Response 200 — Request fulfilled, document follows
Model: SignupNoticesPage
Field |
Type |
Required |
Description |
|---|---|---|---|
|
array of SignupNoticeCandidate |
yes |
|
|
array of SignupNoticeResolution |
yes |
POST /api/guilds/{guild_id}/signup-notices/{member_id}/ack#
AckSignupNotice
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
|
|
path |
integer |
yes |
Request body
Model: SignupNoticeAck
Field |
Type |
Required |
Description |
|---|---|---|---|
|
integer |
yes |
|
|
integer |
yes |
Response 204 — Request fulfilled, nothing follows
DELETE /api/guilds/{guild_id}/signup-notices/{member_id}/roster-confirmation#
UnconfirmFromNotice
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
|
|
path |
integer |
yes |
Request body
Model: ConfirmByDiscordRequest
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string |
yes |
|
|
string |
yes |
Response 200 — Request fulfilled, document follows
Model: MemberListing
Field |
Type |
Required |
Description |
|---|---|---|---|
|
integer |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string | null |
yes |
|
|
boolean |
yes |
|
|
boolean |
yes |
|
|
string | null |
yes |
|
|
boolean |
yes |
|
|
string (date-time) | null |
yes |
PUT /api/guilds/{guild_id}/signup-notices/{member_id}/roster-confirmation#
ConfirmFromNotice
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
integer |
yes |
|
|
path |
integer |
yes |
Request body
Model: ConfirmByDiscordRequest
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string |
yes |
|
|
string |
yes |
Response 200 — Request fulfilled, document follows
Model: MemberListing
Field |
Type |
Required |
Description |
|---|---|---|---|
|
integer |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string | null |
yes |
|
|
boolean |
yes |
|
|
boolean |
yes |
|
|
string | null |
yes |
|
|
boolean |
yes |
|
|
string (date-time) | null |
yes |